# potomark is a simple bookmarking discord bot.
there's no configuration besides a `.env` file with two keys:

- the bot's token `DISCORD_TOKEN`,
- channel id for a sentence game `SENTENCE_CHANNEL`. if you don't want to enable the sentence game, set the key to `-1`.

## why?
because we needed a tiny, self hostable bot to remember things of importance for our equally tiny discord server.

## what it do?
DMs a user a link to any message they reacte with 🔖 to (tip: you can change the `EMOJI` constant in `bot.rb` to any built-in emoji). also sends part of the message for quick access. that's it.

## how?
requires [ruby](https://www.ruby-lang.org/) >= 3.0 and [bundler](https://bundler.io) >= 2.3.19. the only two dependencies are `dotenv` and `discordrb`, as specified in the `Gemfile`.

quick setup:
```bash
$ git clone https://git.poto.cafe/yagich/potomark-bot-rb.git && cd potomark-bot-rb
$ echo 'DISCORD_TOKEN=YOUR.DISCORD.TOKEN.HERE' > .env
$ echo 'SENTENCE_CHANNEL=SENTENCE_GAME_CHANNEL_ID' >> .env
$ bundle install
$ ruby bot.rb
```

## license?
the full license text is as follows:

```
you may not use this code for any purpose.
```